Subject: Re: bug#25475: tail -f behaviour

From: Pádraig Brady <[email-masked]>
Date: Wed, 18 Jan 2017 18:37:01 +0000

On 18/01/17 16:39, f0rhum wrote:
> Hi
> This is about tail v5.97
> I have a log file that is updated every 5mn, a timestamped message being
> appended to a new line at the end
> On the third time an indentical message would be writen, the last line
> is replaced by "..." then the message is writen
> 
> Tracking changes with tail -f stops after this, which may be intended
> behaviour as man states "as the file grows".
> 
> Although, when pruning a bunch of lines from the head of the file, then a
> yet running tracking still won't update even the file size grows, like if the file size was
> grabbed on the very beginning of the command and never updated on each
> iteration.
> 
> To be honest, I didn't try to see what happens if I prune a single line
> and see what the next 2nd and further iterations show.

I think you're saying that your file is truncated in place.
tail(1) doesn't handle that well and expects files to be increasing,
and maybe rotated (which is handled with -F).
Newer versions of tail(1) will show the whole file again once
it detects truncation (as usually a truncated file is truncated to nothing
before new data is written).

cheers,
Padraig